# Update user business info

This endpoint updates user business info by user ID.

Endpoint: PUT /v2/users/{userId}/business-info
Version: v2
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer

## Path parameters:

  - `userId` (string, required)
    Identifier for user.

## Query parameters:

  - `includeInactive` (boolean)
    Include inactive users.

## Request fields (application/json):

  - `departmentRef` (object)
    Reference of an entity

  - `departmentRef.id` (string, required)
    Example: b93dc51f-12dd-46c7-b7d6-1cb12cd3f5b3

  - `departmentRef.name` (string)
    Example: Name

  - `designation` (string)
    Example: MANAGER

  - `email` (string)
    Example: user@business.com

  - `employeeId` (string)
    Unique employee id. Can use email if a company don't use employee ids.
    Example: 101

  - `phoneNumbers` (array)

  - `phoneNumbers.countryCode` (integer)
    two digit country code
    Example: 91

  - `phoneNumbers.countryCodeSource` (string)
    Enum: "UNSPECIFIED", "FROM_NUMBER_WITH_PLUS_SIGN", "FROM_NUMBER_WITH_IDD", "FROM_NUMBER_WITHOUT_PLUS_SIGN", "FROM_DEFAULT_COUNTRY"

  - `phoneNumbers.extension` (string)
    phone number extension
    Example: 222

  - `phoneNumbers.isoCountryCode` (string)
    ISO alpha-2 code
    Example: IN

  - `phoneNumbers.italianLeadingZero` (boolean)
    Example: true

  - `phoneNumbers.nationalNumber` (integer)
    Example: 8150

  - `phoneNumbers.numberOfLeadingZeros` (integer)
    Example: 1

  - `phoneNumbers.preferredDomesticCarrierCode` (string)
    Example: 7

  - `phoneNumbers.rawInput` (string)
    Example: 77777

  - `phoneNumbers.type` (string)
    Enum: "UNKNOWN_TYPE", "MOBILE", "LANDLINE"

  - `countryCode` (string)
    alpha-2 or alpha-3 ISO country code.
    Example: USA

  - `workerType` (string)
    The type of worker.
    Enum: "EMPLOYEE", "CONTINGENT", "SEASONAL", "INTERN", "GUEST"

  - `accountingCode` (string)
    Code used for accounting.
    Example: 123

  - `companySpecifiedAttributes` (array)

  - `companySpecifiedAttributes.fixedColumnName` (string, required)
    Example: contingentType

  - `companySpecifiedAttributes.value` (string, required)
    Example: FSTV

  - `designatedApproverRefs` (array)
    A list of references for designated approvers.

  - `authorizerEmail` (string)
    Email address to be used as approval authorizer, when a manager is not present.
    Example: example@email.com

## Response 204:

  - `204` (unknown)
    OK

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

## Response 404:

  - `404` (unknown)
    The specified resource was not found.

## Response 404 fields (application/json):

  - `debugIdentifier` (string)
    Link to debug the error internally.

  - `errorMessages` (array)

  - `errorMessages.errorCode` (string)
    Error code to identify the specific errors.

  - `errorMessages.message` (string)
    Message containing details of error.

  - `errorMessages.errorParameters` (array)
    Error message parameters.

  - `errorMessages.errorParameters.name` (string)
    Parameter name

  - `errorMessages.errorParameters.value` (string)
    Parameter value

  - `errorMessages.errorDetail` (string)
    More details about the error.

